// Include files
#include <sys/ioctl.h>
#include <unistd.h>
#include <stdio.h>
#include <stdlib.h>

// Main function
int main(int argc, char **argv)
{
  int fd=STDIN_FILENO;
  struct winsize size;

  printf("Calling ioctl with TIOCGWINSZ ...\n");
  if (ioctl(fd,TIOCGWINSZ,(char *)&size) < 0) {
    perror("ERROR");
  }

  printf("%d rows, %d columns\n",size.ws_row,size.ws_col);

  exit(EXIT_SUCCESS);
}
